### Function

# Clutter Event new

#### Declaration [src]

    ClutterEvent*
    clutter_event_new (
      ClutterEventType type
    )

#### Description [src]

Creates a new `ClutterEvent` of the specified type.

#### Parameters

`type`

  Type: `ClutterEventType`

  The type of event.

#### Return value

Type: `ClutterEvent`

A newly allocated `ClutterEvent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.